module RegFile( rd1, rd2, rr1, rr2, wr, wd, RegWrite, clk);

input [4:0] rr1,rr2,wr;
input [31:0] wd;
input RegWrite,clk;

output [31:0] rd1,rd2;
reg [31:0] rd1,rd2;

reg [31:0]registers[0:31];

always @(rr1 or rr2)
begin
	rd1 = registers[rr1];
	rd2 = registers[rr2];
end

always @ (posedge clk)
begin
	if (RegWrite == 1)
		registers [wr] = wd;
	rd1 = registers[rr1];
	rd2 = registers[rr2];
end

initial registers[0] = 32'h00000000;

endmodule