module cpu();

wire [31:0] Inst;
wire[2:0]		AluOp;
wire[1:0]		RegD, PcSrc, Mem2Reg;
wire						AluSrc, RegWrite, MemWrite, MemRead, Zero;

reg clk;

DataPath dp( Inst, Zero, RegD, AluSrc, PcSrc, Mem2Reg, AluOp, RegWrite, MemWrite, MemRead, clk);
Control c( RegD, AluSrc, PcSrc, Mem2Reg, AluOp, RegWrite, MemWrite, MemRead, Inst , Zero, clk);

initial
begin
	clk = 0;
	#1000;
	$stop;
end

always #10 clk=~clk;

endmodule